Package io.dapr.v1

# Interface CommonProtos.StateItemOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.StateItem`, `CommonProtos.StateItem.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.StateItemOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsMetadata​(java.lang.String key)` | The metadata which will be passed to state store component.
  `java.lang.String` | `getEtag()` | The entity tag which represents the specific version of data.
  `com.google.protobuf.ByteString` | `getEtagBytes()` | The entity tag which represents the specific version of data.
  `java.lang.String` | `getKey()` | Required.
  `com.google.protobuf.ByteString` | `getKeyBytes()` | Required.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The metadata which will be passed to state store component.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The metadata which will be passed to state store component.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The metadata which will be passed to state store component.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The metadata which will be passed to state store component.
  `CommonProtos.StateOptions` | `getOptions()` | Options for concurrency, consistency, and retry_policy to save the state.
  `CommonProtos.StateOptionsOrBuilder` | `getOptionsOrBuilder()` | Options for concurrency, consistency, and retry_policy to save the state.
  `com.google.protobuf.ByteString` | `getValue()` | Required.
  `boolean` | `hasOptions()` | Options for concurrency, consistency, and retry_policy to save the state.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getKey

    java.lang.String getKey()

         Required. The state key

    `string key = 1;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()

         Required. The state key

    `string key = 1;`
    Returns:
      The bytes for key.

  - ### getValue

    com.google.protobuf.ByteString getValue()

         Required. The state data for key

    `bytes value = 2;`
    Returns:
      The value.

  - ### getEtag

    java.lang.String getEtag()

         The entity tag which represents the specific version of data.
         The exact ETag format is defined by the corresponding data store.

    `string etag = 3;`
    Returns:
      The etag.

  - ### getEtagBytes

    com.google.protobuf.ByteString getEtagBytes()

         The entity tag which represents the specific version of data.
         The exact ETag format is defined by the corresponding data store.

    `string etag = 3;`
    Returns:
      The bytes for etag.

  - ### getMetadataCount

    int getMetadataCount()

         The metadata which will be passed to state store component.

    `map<string, string> metadata = 4;`

  - ### containsMetadata

    boolean containsMetadata​(java.lang.String key)

         The metadata which will be passed to state store component.

    `map<string, string> metadata = 4;`

  - ### getMetadata

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The metadata which will be passed to state store component.

    `map<string, string> metadata = 4;`

  - ### getMetadataOrDefault

    java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The metadata which will be passed to state store component.

    `map<string, string> metadata = 4;`

  - ### getMetadataOrThrow

    java.lang.String getMetadataOrThrow​(java.lang.String key)

         The metadata which will be passed to state store component.

    `map<string, string> metadata = 4;`

  - ### hasOptions

    boolean hasOptions()

         Options for concurrency, consistency, and retry_policy to save the state.

    `.dapr.proto.common.v1.StateOptions options = 5;`
    Returns:
      Whether the options field is set.

  - ### getOptions

    CommonProtos.StateOptions getOptions()

         Options for concurrency, consistency, and retry_policy to save the state.

    `.dapr.proto.common.v1.StateOptions options = 5;`
    Returns:
      The options.

  - ### getOptionsOrBuilder

    CommonProtos.StateOptionsOrBuilder getOptionsOrBuilder()

         Options for concurrency, consistency, and retry_policy to save the state.

    `.dapr.proto.common.v1.StateOptions options = 5;`